SoGLShapeHintsElement(3)

NAME
SoGLShapeHintsElement - The SoGLShapeHintsElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLShapeHintsElement.h>

Inherits SoShapeHintsElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void forceSend (SoState *const state, const SbBool twoside)
static void forceSend (SoState *const state, const SbBool ccw, const SbBool cull)
static void forceSend (SoState *const state, const SbBool ccw, const SbBool cull, const SbBool twoside)
FIXME: write doc.

  Protected Member Functions
virtual ~SoGLShapeHintsElement ()
virtual void setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLShapeHintsElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLShapeHintsElement::~SoGLShapeHintsElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLShapeHintsElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLShapeHintsElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLShapeHintsElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLShapeHintsElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLShapeHintsElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoShapeHintsElement.

  void SoGLShapeHintsElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoShapeHintsElement.

  void SoGLShapeHintsElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoShapeHintsElement.

  void SoGLShapeHintsElement::forceSend (SoState *const state, const SbBool twoside) [static]
Update GL state. Use this is you only want to modify the two-side lighting feature.

  void SoGLShapeHintsElement::forceSend (SoState *const state, const SbBool ccw, const SbBool cull) [static]
Update GL state. Use this if you don't care about the two-side lighting state.

  void SoGLShapeHintsElement::setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoShapeHintsElement.

Author

Generated automatically by Doxygen for Coin from the source code.